Uses of Interface
wicket.IRequestTarget

Packages that use IRequestTarget
wicket The core Wicket package. 
wicket.ajax   
wicket.protocol.http HTTP implementation. 
wicket.protocol.http.portlet Wicket interface to the JSR-168 portlet API. 
wicket.protocol.http.request This package contains http (web) protocol dependent implementations of request processing strategies. 
wicket.protocol.http.request.urlcompressing   
wicket.request Package for classes that have generic (protocol independent) support for request cycle processing. 
wicket.request.compound This package contains a convenience implementation of IRequestCycleProcessor that breaks its functionality in delegate strategies so that they can more easily be mixed and matched. 
wicket.request.target.basic   
wicket.request.target.coding Additions to request targets. 
wicket.request.target.component   
wicket.request.target.component.listener   
wicket.request.target.resource   
 

Uses of IRequestTarget in wicket
 

Methods in wicket that return IRequestTarget
 IRequestTarget RequestCycle.getRequestTarget()
          Gets the current request target.
 IRequestTarget RequestListenerInterface.newRequestTarget(Page page, Component component, RequestListenerInterface listener, RequestParameters requestParameters)
          Creates a new request target for this request listener interface
 

Methods in wicket with parameters of type IRequestTarget
 void Application.logEventTarget(IRequestTarget target)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 void Application.logResponseTarget(IRequestTarget requestTarget)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 void RequestCycle.request(IRequestTarget target)
          THIS METHOD IS NOT PART OF THE WICKET PUBLIC API.
 void RequestCycle.setRequestTarget(IRequestTarget requestTarget)
          Sets the request target as the current.
 java.lang.CharSequence RequestCycle.urlFor(IRequestTarget requestTarget)
          Returns a URL that references the given request target.
 java.lang.CharSequence Component.urlFor(IRequestTarget requestTarget)
          Returns a URL that references the given request target.
 

Uses of IRequestTarget in wicket.ajax
 

Classes in wicket.ajax that implement IRequestTarget
 class AjaxRequestTarget
          A request target that produces ajax response envelopes used on the client side to update component markup as well as evaluate arbitrary javascript.
 

Uses of IRequestTarget in wicket.protocol.http
 

Methods in wicket.protocol.http with parameters of type IRequestTarget
 void WebApplication.logEventTarget(IRequestTarget target)
           
 void RequestLogger.logEventTarget(IRequestTarget target)
          Sets the target that was the event target for the current request
 void RequestLogger.SessionData.logEventTarget(IRequestTarget target)
           
 void WebApplication.logResponseTarget(IRequestTarget target)
           
 void RequestLogger.logResponseTarget(IRequestTarget target)
          Sets the target that was the response target for the current request
 void RequestLogger.SessionData.logResponseTarget(IRequestTarget target)
           
 

Uses of IRequestTarget in wicket.protocol.http.portlet
 

Methods in wicket.protocol.http.portlet that return IRequestTarget
 IRequestTarget PortletRequestTargetResolverStrategy.resolve(RequestCycle requestCycle, RequestParameters requestParameters)
           
protected  IRequestTarget PortletRequestTargetResolverStrategy.resolveBookmarkablePage(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a bookmarkable page target.
protected  IRequestTarget PortletRequestTargetResolverStrategy.resolveHomePageTarget(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a home page target.
protected  IRequestTarget PortletRequestTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle, Page page, java.lang.String componentPath, java.lang.String interfaceName, RequestParameters requestParameters)
          Resolves the RequestTarget for the given interface.
protected  IRequestTarget PortletRequestTargetResolverStrategy.resolveRenderedPage(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a page target that was previously rendered.
protected  IRequestTarget PortletRequestTargetResolverStrategy.resolveSharedResource(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a shared resource target.
 IRequestTarget PortletRequestCodingStrategy.targetForRequest(RequestParameters requestParameters)
           
 

Methods in wicket.protocol.http.portlet with parameters of type IRequestTarget
protected  java.lang.String PortletRequestCodingStrategy.doEncode(RequestCycle requestCycle, IRequestTarget requestTarget)
          In case you are using custom targets that are not part of the default target hierarchy, you need to override this method, which will be called after the defaults have been tried.
 java.lang.CharSequence PortletRequestCodingStrategy.encode(RequestCycle requestCycle, IRequestTarget requestTarget)
          Encode the given request target and one of the delegation methods will be called.
 java.lang.CharSequence PortletRequestCodingStrategy.pathForTarget(IRequestTarget requestTarget)
           
 void PortletRequestCodingStrategy.setRenderParameters(PortletRequestCycle requestCycle, IRequestTarget requestTarget)
           
 

Uses of IRequestTarget in wicket.protocol.http.request
 

Classes in wicket.protocol.http.request that implement IRequestTarget
 class WebErrorCodeResponseTarget
          Response target that is to be used in a servlet environment to send an error code and optionally a message.
 class WebExternalResourceRequestTarget
          Request target that is not a Wicket resource.
 

Methods in wicket.protocol.http.request that return IRequestTarget
 IRequestTarget WebRequestCodingStrategy.targetForRequest(RequestParameters requestParameters)
           
 IRequestTarget CryptedUrlWebRequestCodingStrategy.targetForRequest(RequestParameters requestParameters)
           
 

Methods in wicket.protocol.http.request with parameters of type IRequestTarget
protected  java.lang.String WebRequestCodingStrategy.doEncode(RequestCycle requestCycle, IRequestTarget requestTarget)
          In case you are using custom targets that are not part of the default target hierarchy, you need to override this method, which will be called after the defaults have been tried.
 java.lang.CharSequence WebRequestCodingStrategy.encode(RequestCycle requestCycle, IRequestTarget requestTarget)
          Encode the given request target.
 java.lang.CharSequence CryptedUrlWebRequestCodingStrategy.encode(RequestCycle requestCycle, IRequestTarget requestTarget)
          Encode the querystring of the URL
protected  IRequestTargetUrlCodingStrategy WebRequestCodingStrategy.getMountEncoder(IRequestTarget requestTarget)
          Gets the mount encoder for the given request target if any.
 java.lang.CharSequence WebRequestCodingStrategy.pathForTarget(IRequestTarget requestTarget)
           
 java.lang.CharSequence CryptedUrlWebRequestCodingStrategy.pathForTarget(IRequestTarget requestTarget)
           
 

Uses of IRequestTarget in wicket.protocol.http.request.urlcompressing
 

Methods in wicket.protocol.http.request.urlcompressing that return IRequestTarget
protected  IRequestTarget WebURLCompressingTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle, Page page, java.lang.String componentPath, java.lang.String interfaceName, RequestParameters requestParameters)
          Resolves the RequestTarget for the given interface.
 

Uses of IRequestTarget in wicket.request
 

Methods in wicket.request that return IRequestTarget
 IRequestTarget IRequestCycleProcessor.resolve(RequestCycle requestCycle, RequestParameters requestParameters)
           Resolves the request and returns the request target.
 IRequestTarget IRequestTargetMounter.targetForRequest(RequestParameters requestParameters)
          Gets the request target that conforms to the given request parameters.
 

Methods in wicket.request with parameters of type IRequestTarget
 java.lang.CharSequence IRequestCodingStrategy.encode(RequestCycle requestCycle, IRequestTarget requestTarget)
           Gets the url that will point to the provided request target.
 java.lang.CharSequence IRequestTargetMounter.pathForTarget(IRequestTarget requestTarget)
          Gets the url that the provided request target conforms to.
 

Uses of IRequestTarget in wicket.request.compound
 

Methods in wicket.request.compound that return IRequestTarget
 IRequestTarget IRequestTargetResolverStrategy.resolve(RequestCycle requestCycle, RequestParameters requestParameters)
           Resolves the request and returns the request target.
 IRequestTarget DefaultRequestTargetResolverStrategy.resolve(RequestCycle requestCycle, RequestParameters requestParameters)
           
 IRequestTarget AbstractCompoundRequestCycleProcessor.resolve(RequestCycle requestCycle, RequestParameters requestParameters)
           
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveBookmarkablePage(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a bookmarkable page target.
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveExternalResource(RequestCycle requestCycle)
          Resolves to an external resource.
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveHomePageTarget(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a home page target.
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveListenerInterfaceTarget(RequestCycle requestCycle, Page page, java.lang.String componentPath, java.lang.String interfaceName, RequestParameters requestParameters)
          Resolves the RequestTarget for the given interface.
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveRenderedPage(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a page target that was previously rendered.
protected  IRequestTarget DefaultRequestTargetResolverStrategy.resolveSharedResource(RequestCycle requestCycle, RequestParameters requestParameters)
          Resolves to a shared resource target.
 

Uses of IRequestTarget in wicket.request.target.basic
 

Classes in wicket.request.target.basic that implement IRequestTarget
 class EmptyRequestTarget
          The empty request target does nothing in itself but instead relies on some other source to generate a response.
 class RedirectRequestTarget
          A RequestTarget that will sent a redirect url to the browser.
 class StringRequestTarget
          Request target that responds by sending it's string property.
 

Uses of IRequestTarget in wicket.request.target.coding
 

Methods in wicket.request.target.coding that return IRequestTarget
 IRequestTarget SharedResourceRequestTargetUrlCodingStrategy.decode(RequestParameters requestParameters)
           
 IRequestTarget PackageRequestTargetUrlCodingStrategy.decode(RequestParameters requestParameters)
           
 IRequestTarget IRequestTargetUrlCodingStrategy.decode(RequestParameters requestParameters)
          Gets the decoded request target.
 IRequestTarget BookmarkablePageRequestTargetUrlCodingStrategy.decode(RequestParameters requestParameters)
           
 

Methods in wicket.request.target.coding with parameters of type IRequestTarget
 java.lang.CharSequence SharedResourceRequestTargetUrlCodingStrategy.encode(IRequestTarget requestTarget)
           
 java.lang.CharSequence PackageRequestTargetUrlCodingStrategy.encode(IRequestTarget requestTarget)
           
 java.lang.CharSequence IRequestTargetUrlCodingStrategy.encode(IRequestTarget requestTarget)
          Gets the encoded url for the provided request target.
 java.lang.CharSequence BookmarkablePageRequestTargetUrlCodingStrategy.encode(IRequestTarget requestTarget)
           
 boolean SharedResourceRequestTargetUrlCodingStrategy.matches(IRequestTarget requestTarget)
           
 boolean PackageRequestTargetUrlCodingStrategy.matches(IRequestTarget requestTarget)
           
 boolean IRequestTargetUrlCodingStrategy.matches(IRequestTarget requestTarget)
          Gets whether this mounter is applicable for the provided request target.
 boolean BookmarkablePageRequestTargetUrlCodingStrategy.matches(IRequestTarget requestTarget)
           
 

Uses of IRequestTarget in wicket.request.target.component
 

Subinterfaces of IRequestTarget in wicket.request.target.component
 interface IBookmarkablePageRequestTarget
          Target that denotes a page that is to be created from the provided page class.
 interface IComponentRequestTarget
          Target that denotes a single component instance.
 interface IPageRequestTarget
          Request target that denotes a page instance.
 

Classes in wicket.request.target.component that implement IRequestTarget
 class BookmarkablePageRequestTarget
          Default implementation of IBookmarkablePageRequestTarget.
 class ComponentRequestTarget
          Default implementation of IComponentRequestTarget.
 class ExpiredPageClassRequestTarget
          Special purpose target that points to a expiry page
 class PageRequestTarget
          Default implementation of IPageRequestTarget.
 

Uses of IRequestTarget in wicket.request.target.component.listener
 

Subinterfaces of IRequestTarget in wicket.request.target.component.listener
 interface IListenerInterfaceRequestTarget
          Target that denotes a page instance and a call to a component on that page using an listener interface method.
 

Classes in wicket.request.target.component.listener that implement IRequestTarget
 class AbstractListenerInterfaceRequestTarget
          The abstract implementation of IListenerInterfaceRequestTarget.
 class BehaviorRequestTarget
          Target that denotes a page instance and a call to a component on that page using an listener interface method.
 class ListenerInterfaceRequestTarget
          Target that denotes a page instance and a call to a component on that page using an listener interface method.
 class RedirectPageRequestTarget
          Specialization of page request that denotes that we are actually handling a redirect request of a page.
 

Uses of IRequestTarget in wicket.request.target.resource
 

Subinterfaces of IRequestTarget in wicket.request.target.resource
 interface ISharedResourceRequestTarget
          Target that denotes a shared Resource.
 

Classes in wicket.request.target.resource that implement IRequestTarget
 class ComponentResourceRequestTarget
          An implemenation of IRequestTarget that is used for the IResourceListener event request.
 class ResourceStreamRequestTarget
          Request target that responds by sending it's resources stream.
 class SharedResourceRequestTarget
          Default implementation of ISharedResourceRequestTarget.
 



Copyright © 2004-2007 Wicket developers. All Rights Reserved.